Subject: DNS/Minires problems w/ Exim-4.20 on Cygwin
From: RUBiK <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 13 Aug 2003 10:53:11 -0700 (PDT)

Hello-

I am writing to you as a last attempt to perhaps help solve the problems I
am having with exim (4.20-1) on Cygwin (1.3.22-1) on WinXP Pro SP1.

I have been using Cygwin for a long time but just recently tried setting
up exim and ran into problems.  I've followed the
/usr/doc/Cygwin/exim-4.20-1.README instructions and installed exim as a
service with ntsec and all went well.

However, no matter what I have tried (even recompiled the patched source
myself), I am not able to resolve *any* remote domain via exim, even
though nslookup and/or dig do work.

I have tried endless Google searches and have read through many mailing
lists, etc. but I've found nothing specific.

Here is a debug log of one query (all queries for all remote hosts return
the same "Error 2. Count 0."/TRY_AGAIN status):

$ exim -d+dns+resolver -c -bt [email-masked] > eximout.txt 2>&1
$ cat eximout.txt
CYGWIN = "ntsec tty". Root / mapped to c:\cygwin.
Starting uid 1003, gid 513, ntsec 1.
root_uid 1003, exim_uid 18, exim_gid 544, fake setuid 1.
Exim version 4.20 uid=1003 gid=513 pid=3948 D=fbf95cfd
Probably GDBM (native mode)
Support for: OpenSSL
Authenticators: cram_md5 plaintext spa
Routers: accept dnslookup ipliteral manualroute queryprogram redirect
Transports: appendfile/maildir/mailstore/mbx autoreply pipe smtp
changed uid/gid: forcing real = effective
  uid=1003 gid=513 pid=3948
  auxiliary group list: 513 544 545
configuration file is /etc/exim.conf
log selector = 020d99d8
trusted user
admin user
user name "U-RP-LAPTOP\Rares" extracted from gecos field
"U-RP-LAPTOP\Rares,S-1-5-21-1390067357-789336058-839522115-1003"
originator: uid=1003 gid=513 login=Rares name="U-RP-LAPTOP\Rares"
sender address = Rares@rp_laptop
Address testing: uid=1003 gid=513 euid=1003 egid=513
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Testing [email-masked]
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Considering [email-masked]
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
routing [email-masked]
--------> dnslookup router <--------
local_part=rub1k domain=yahoo.com
checking domains
yahoo.com in "@"? no (end of list)
yahoo.com in "! +local_domains"? yes (end of list)
calling dnslookup router
dnslookup router called for [email-masked]
  domain = yahoo.com
Minires: Windows domain name "tais.adroot.toshiba.com"
Minires: server "207.46.138.11"
Minires: server "207.46.138.21"
Minires: server "159.119.100.48"
Minires: resolv.conf nameserver 207.46.138.11
Minires: resolv.conf nameserver 207.46.138.21
Minires: search yahoo.com type 15
Minires: query yahoo.com type 15
Minires: Answer from 158a2ecf to query to 158a2ecf. Error 2. Count 0.
DNS lookup of yahoo.com (MX) gave TRY_AGAIN
yahoo.com in dns_again_means_nonexist? no (option unset)
returning DNS_AGAIN
dnslookup router: defer for [email-masked]
  message: host lookup did not complete
search_tidyup called
>>>>>>>>>>>>>>>> Exim pid=3948 terminating with rc=1 >>>>>>>>>>>>>>>>
[email-masked] cannot be resolved at this time:
  host lookup did not complete 

$ dig @207.46.138.11 yahoo.com mx

; <<>> DiG 9.2.2 <<>> @207.46.138.11 yahoo.com mx
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 41
;; flags: qr rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 0, ADDITIONAL: 9

;; QUESTION SECTION:
;yahoo.com.                     IN      MX

;; ANSWER SECTION:
yahoo.com.              5261    IN      MX      1 mx1.mail.yahoo.com.
yahoo.com.              5261    IN      MX      1 mx2.mail.yahoo.com.
yahoo.com.              5261    IN      MX      5 mx4.mail.yahoo.com.

;; ADDITIONAL SECTION:
mx1.mail.yahoo.com.     1305    IN      A       64.156.215.5
mx1.mail.yahoo.com.     1305    IN      A       64.156.215.6
mx1.mail.yahoo.com.     1305    IN      A       64.157.4.78
mx4.mail.yahoo.com.     484     IN      A       66.218.86.253
mx4.mail.yahoo.com.     484     IN      A       216.136.129.5
mx4.mail.yahoo.com.     484     IN      A       216.136.129.6
mx4.mail.yahoo.com.     484     IN      A       64.157.4.79
mx4.mail.yahoo.com.     484     IN      A       216.136.129.17
mx4.mail.yahoo.com.     484     IN      A       66.218.86.254

;; Query time: 30 msec
;; SERVER: 207.46.138.11#53(207.46.138.11)
;; WHEN: Wed Aug 13 10:50:56 2003
;; MSG SIZE  rcvd: 236

-----

If you could provide any help on this issues, I'd be forever grateful.

Thanks much for all your work.

Sincerely,
Rares Popa ([email-masked])

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/